import { _ as _extends } from './_rollupPluginBabelHelpers-1b8c042f.js';
import React from 'react';
import { Y as Ye, p as propTypes } from './styled-components.esm-9e557172.js';
import Badge from './Badge.js';
import Icon from './Icon.js';
import { a as activeBar } from './mixins-2c3cffa6.js';
import './theme-b7be7677.js';

const StyledNavBar = Ye.div`
`;
const StyledMenuItem = Ye.div`
    & > a {
        width: 100%;
        height: 74px;
        display: flex;
        align-items: center;
        justify-content: center;
        ${activeBar()}
    }
`;

function NavBar({
  children,
  ...rest
}) {
  return /*#__PURE__*/React.createElement(StyledNavBar, rest, children);
}

function MenuItem({
  icon,
  active = true,
  showBadge,
  ...rest
}) {
  return /*#__PURE__*/React.createElement(StyledMenuItem, _extends({
    active: active
  }, rest), /*#__PURE__*/React.createElement("a", {
    href: "#"
  }, /*#__PURE__*/React.createElement(Badge, {
    show: showBadge
  }, icon && /*#__PURE__*/React.createElement(Icon, {
    icon: icon
  }))));
}

NavBar.propTypes = {
  children: propTypes.element
};
MenuItem.propTypes = {
  icon: propTypes.any,
  active: propTypes.bool,
  showBadge: propTypes.bool
};

export default NavBar;
export { MenuItem };
